# Uses of Enum Class
org.eclipse.jdt.annotation.DefaultLocation

Packages that use DefaultLocation
Package
Description
org.eclipse.jdt.annotation
This package contains annotations that can trigger special behavior when annotated types are compiled by the Eclipse Compiler for Java.

## Uses of DefaultLocation in org.eclipse.jdt.annotation

Subclasses with type arguments of type DefaultLocation in org.eclipse.jdt.annotation
Modifier and Type
Class
Description
`enum`
`DefaultLocation`
Locations that can be affected by a `NonNullByDefault` annotation.
Methods in org.eclipse.jdt.annotation that return DefaultLocation
Modifier and Type
Method
Description
`static DefaultLocation`
DefaultLocation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DefaultLocation[]`
DefaultLocation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.